Subject: Re: Previously-functional Octave software routine now mysteriously failing - Please help!
From: Takashi Yano via Cygwin <[email-masked]>
To: [email-masked]
Cc: Bryan VanSchouwen <[email-masked]>
Date: Tue, 18 Jul 2023 06:43:13 +0900
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On Mon, 17 Jul 2023 17:27:37 -0400
Bryan VanSchouwen wrote:
> Hello.
> 
> I just tried performing a correlation matrix calculation with
> Cygwin's Octave software (having successfully performed this calculation
> previously on other similar data sets) using the following commands within
> Cygwin:
> *****(start of commands)*****
> [vansc@LAPTOP-OHN2RCVM
> ~/PKG_domB_CHESCA_analysis_-_apo-cG-cA-RpcG-RpcA_4_Rp-ligs_manu_-_Jul_2023]$
> octave
> GNU Octave, version 5.2.0
> Copyright (C) 2020 John W. Eaton and others.
> This is free software; see the source code for copying conditions.
> There is ABSOLUTELY NO WARRANTY; not even for MERCHANTABILITY or
> FITNESS FOR A PARTICULAR PURPOSE.  For details, type 'warranty'.
> 
> Octave was configured for "x86_64-pc-cygwin".
> 
> Additional information about Octave is available at https://www.octave.org.
> 
> Please contribute if you find this software useful.
> For more information, visit https://www.octave.org/get-involved.html
> 
> Read https://www.octave.org/bugs.html to learn how to submit bug reports.
> For information about changes from previous versions, type 'news'.
> 
> octave:1> load dm
> octave:2> cdmt = cor(dm.')
> octave:3> save dm.octave
> *****(end of commands)*****
> 
> 
> However, when I tried executing the "cdmt = cor(dm.')" command, I got the
> following error message:
> octave:2> cdmt = cor(dm.')
> error: 'cor' undefined near line 1 column 8
> octave:2>
> 
> For reference, I have attached a copy of the input "dm" matrix data file
> that I was trying to use in the calculations within Octave (see attached
> file).
> 
> Do you have any idea what is going on here, and if there is a way to fix it
> (or work around it)??

I do not really understand what you want to do, but
corr() or corrcoef(), not cor()?

-- 
Takashi Yano <[email-masked]>

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple